RCCE(3)

NAME
RCCE_barrier- RCCE intitialization function

SYNOPSIS
#include <rcce.h>

int RCCE_barrier(RCCE_COMM comm);

DESCRIPTION
RCCE_barrier() specifies a barrier at this point in the code. This is a collective routine that must be called jointly by all UEs in the communicator.

comm
    Communicator whose UEs participate in the barrier. Predefined communicators are RCCE_COMM_WORLD, and, in case of fine-grain power management, RCCE_P_COMM, which comprises all the UEs that lie in the local power domain. Any other communicators to be used in a barrier must be constructed by using RCCE_comm_split().

RETURN VALUE
Upon successful completion RCCE_barrier() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.